Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 155801 - Sun java compiler cannot append to random device
Summary: Sun java compiler cannot append to random device
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy-strict
Version: rawhide
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-23 13:21 UTC by Ivan Gyurdiev
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-05-01 21:40:51 UTC


Attachments (Terms of Use)

Description Ivan Gyurdiev 2005-04-23 13:21:00 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.7) Gecko/20050416 Fedora/1.0.3-2 Firefox/1.0.3

Description of problem:
audit(1114229798.852:0): avc:  denied  { append } for  pid=1969 exe=/usr/lib/jvm/java-1.5.0_01-sun-1.5.0_01/bin/javac name=random dev=tmpfs ino=546 scontext=phantom:staff_r:staff_t tcontext=system_u:object_r:random_device_t tclass=chr_file


Version-Release number of selected component (if applicable):
selinux-policy-strict-1.23.12-1

How reproducible:
Didn't try

Steps to Reproduce:


Additional info:

Comment 1 Daniel Walsh 2005-04-25 19:12:34 UTC
Fixed in selinux-policy-*1.23.13-1


Note You need to log in before you can comment on or make changes to this bug.